[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomMemo.WantReturns

Allows the user to insert Return characters (line breaks) into the text.

## Declaration

Source position: stdctrls.pp line 943

`public property TCustomMemo.WantReturns : Boolean read FWantReturns write SetWantReturns default True;`

## Description

The Enter key is normally used to press the default button in a form, so it cannot be used to add line breaks into the text by default. Set WantReturns to True to allow line breaks to be entered using Enter when the control has the input focus. Ctrl+Enter can be used to insert a line break, even if WantReturns is set to False.

## See also

TCustomMemo.WantTabs |  | Allows Tab characters to be entered into the text.